Рейтинг@Mail.ru

Наши друзья и партнеры

купить дешевый 
компьютер родом из Dhgate.com




Книги по Linux (с отзывами читателей)

Библиотека сайта rus-linux.net

На главную -> MyLDP -> Электронные книги по ОС Linux
Beyond Linux From Scratch. Version 2011-12-30
Назад 8. Библиотеки общего назначения Вперед

Пакет Libgpg-error-1.10

Знакомимся с пакетом Libgpg-error

В пакете Libgpg-error находится библиотека, в которой определены значения обычных ошибок, возникающих во всех компонентах GnuPG. К ним относятся GPG, GPGSM, GPGME, GPG-Agent, libgcrypt, Libksba, DirMngr, Pinentry, SmartCard Daemon и многие другие.

Известно, что пакет правильно собирается и работает на платформе LFS-7.0.

Информация о пакете

Замечания для пользователей: http://wiki.linuxfromscratch.org/blfs/wiki/libgpg-error

Установка пакета Libgpg-error

Установите пакет Libgpg-error с помощью следующих команд:

./configure --prefix=/usr &&
make

Чтобы проверить результаты, выполните команду make check.

Теперь в роли пользователя root выполните:

make install &&
install -v -m644 -D README \
                    /usr/share/doc/libgpg-error-1.10/README

Описание пакета

Установленные программы: gpg-error и gpg-error-config

Установленные библиотеки: libgpg-error.so

Установленные директории: /usr/share/common-lisp и /usr/share/doc/libgpg-error-1.10

Краткое описание

gpg-error

используется для задания кодов ошибок в Libgpg-error

gpg-error-config

эта утилита используется для конфигурирования и сборки приложений, использующих библиотеку Libgpg-error. Ее можно использовать для получения флагов компилятора C и компоновщика, необходимых для правильной компиляции и компоновки приложений с библиотекой Libgpg-error

liblibgpg-error.{so,a}

содержит функции Libgpg-error API

Перевод сделан с варианта оригинала, датированного 2011-11-10 00:14:36 +0000


Предыдущий раздел: Оглавление Следующий раздел:
Пакет Libassuan-2.0.2   Пакет libgcrypt-1.5.0

Если вам понравилась статья, поделитесь ею с друзьями: